Summary: Bidirectional data relay between two data channels ('netcat++')
Name: socat
Version: 1.5.0.0
Release: 2%{?dist}
License: GPL
Url:  http://www.dest-unreach.org/%{name}
Source: http://www.dest-unreach.org/socat/download/%{name}-%{version}.tar.bz2
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: openssl-devel readline-devel ncurses-devel

%description
Socat is a relay for bidirectional data transfer between two independent data
channels. Each of these data channels may be a file, pipe, device (serial line
etc. or a pseudo terminal), a socket (UNIX, IP4, IP6 - raw, UDP, TCP), an
SSL socket, proxy CONNECT connection, a file descriptor (stdin etc.), the GNU
line editor (readline), a program, or a combination of two of these. 


%prep
%setup -q 


%configure  \
        --enable-help --enable-stdio \
        --enable-fdnum --enable-file --enable-creat \
        --enable-gopen --enable-pipe --enable-termios \
        --enable-unix --enable-ip4 --enable-ip6 \
        --enable-rawip --enable-tcp --enable-udp \
        --enable-listen --enable-proxy --enable-exec \
        --enable-system --enable-pty --enable-readline \
        --enable-openssl --enable-sycls --enable-filan \
        --enable-retry --enable-libwrap

%build
chmod 644 *.sh
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc BUGREPORTS CHANGES DEVELOPMENT EXAMPLES FAQ PORTING
%doc COPYING* README SECURITY testcert.conf socat.html
%doc daemon.sh ftp.sh gatherinfo.sh mail.sh proxy.sh 
%doc proxyecho.sh readline.sh readline-test.sh
%doc socks4echo.sh socks4a-echo.sh test.sh
%{_bindir}/socat
%{_bindir}/filan
%{_bindir}/procan
%doc %{_mandir}/man1/socat.1*

%changelog
* Sun Aug 20 2006 Paul Wouters <paul@xelerance.com> - 1.5.0.0-2
- Added missing examples to doc section and removed execute bits.

* Fri Aug 04 2006 Paul Wouters <paul@xelerance.com> - 1.5.0.0-1
- Updated to 1.5.0.0
- removed version cut/mversion, since source untars properly now.

* Tue May 09 2006 Paul Wouters <paul@xelerance.com> - 1.4.3.1-1
- Updated to 1.4.3.1

* Thu Jan 26 2006 Paul Wouters <paul@xelerance.com> 1.4.3.0-2
- Removed DESTDIR export and fixed two capitals

* Thu Jan 26 2006 Paul Wouters <paul@xelerance.com> 1.4.3.0-1
- Initial version based on Pascal Bleser <guru@unixtech.be> suse rpm
